Summary:	I/O tool for benchmark and stress/hardware verification
Summary(pl.UTF-8):	Narzędzie do mierzenia wydajności I/O i sprawdzania sprawności sprzętu
Name:		fio
Version:	2.0.3
Release:	1
License:	GPL v2+
Group:		Applications
Source0:	http://brick.kernel.dk/snaps/%{name}-%{version}.tar.bz2
# Source0-md5:	e3b878ab0a4cba072d99e222d86287ed
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-crc32c-intel.patch
URL:		http://git.kernel.dk/?p=fio.git;a=summary
BuildRequires:	libaio-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
fio is an I/O tool meant to be used both for benchmark and
stress/hardware verification. It has support for 9 different types of
I/O engines (sync, mmap, libaio, posixaio, SG v3, splice, null,
network, syslet), I/O priorities (for newer Linux kernels), rate I/O,
forked or threaded jobs, and much more. It can work on block devices
as well as files. fio accepts job descriptions in a
simple-to-understand text format. Several example job files are
included. fio displays all sorts of I/O performance information. It
supports Linux, FreeBSD, and OpenSolaris.

%description -l pl.UTF-8
fio to narzędzie do mierzenia wydajności I/O oraz sprawdzania
sprawności sprzętu pod dużym obciążeniem. Obsługuje 9 różnych rodzajów
silników I/O (sync, mmap, libaio, posixaio, SG v3, splice, null,
network, syslet), priorytety I/O (dla nowszych jąder Linuksa),
przepustowość I/O, zadania wieloprocesowe lub wielowątkowe i wiele
więcej. Może działać na urządzeniach blokowych oraz na plikach. fio
przyjmuje opisy zadań w formacie tekstowym prostym do zrozumienia. Ma
załączone kilka przykładowych plików zadań. Wyświetla wszystkie
rodzaje informacji o wydajności I/O. Obsługuje Linuksa, FreeBSD i
OpenSolarisa.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags} %{rpmcppflags}" \
	LDFLAGS="%{rpmldflags}" \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	prefix="%{_prefix}" \
	mandir="%{_mandir}" \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc HOWTO README
%doc examples
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/fio*.1*
%changelog
* Sat Jan 05 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fio.git;a=log;h=master

* Fri Feb 10 2012 lisu <lisu@pld-linux.org> c2f4112
- 2.0.3

* Fri Feb 03 2012 lisu <lisu@pld-linux.org> 6483239
- up to 2.0.2

* Wed Jan 25 2012 lisu <lisu@pld-linux.org> a115c9d
- up to 2.0.1

* Tue Dec 20 2011 lisu <lisu@pld-linux.org> 6929daa
- up to 2.0

* Tue Oct 18 2011 lisu <lisu@pld-linux.org> eee2fe4
- 1.60

* Tue Sep 20 2011 lisu <lisu@pld-linux.org> 76bebc9
- 1.58

* Fri Jul 15 2011 lisu <lisu@pld-linux.org> 075fabc
- up to 1.57

* Wed Jun 01 2011 lisu <lisu@pld-linux.org> be7b3f6
- updated to 1.55

* Fri May 13 2011 marti <marti@pld-linux.org> acf9847
- up to 1.54

* Fri May 06 2011 lisu <lisu@pld-linux.org> 6a203e1
- up to 1.53

* Sun May 01 2011 marti <marti@pld-linux.org> 53461fc
- up to 1.52

* Mon Mar 28 2011 lisu <lisu@pld-linux.org> 61106ed
- updated for 1.51

* Mon Mar 28 2011 lisu <lisu@pld-linux.org> 52d6f53
- up to 1.51

* Fri Feb 18 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f62165
- use rpmcppflags

* Fri Jan 28 2011 lisu <lisu@pld-linux.org> 433fcfb
- updated for 1.50.2

* Fri Jan 28 2011 lisu <lisu@pld-linux.org> 0591d82
- 1.50.2

* Thu Jan 27 2011 lisu <lisu@pld-linux.org> 92eecd7
- updated for 1.50.1

* Thu Jan 27 2011 lisu <lisu@pld-linux.org> 8d54fed
- updated to 1.50.1
- verbose build

* Thu Dec 16 2010 lisu <lisu@pld-linux.org> 546d372
- 1.44.3

* Mon Nov 08 2010 lisu <lisu@pld-linux.org> 2d3180c
- 1.44.2

